/*{{{  Header*/
/*------------------------------------------------------------------*/
/*                                                                  */
/*                            socket.h                              */
/*                                                                  */
/*     by Nick Clarke, Southampton University Computing Services    */
/*                                                                  */
/*     Functions added to iserver in order to implement a BSD 4.3   */
/*     socket library on the root transputer.                       */
/*                                                                  */
/*     Tag choices correspond to Inmos B300 (TCPLINK) tags.         */
/*                                                                  */
/*------------------------------------------------------------------*/
/*}}}*/
#define MAXSTRINGLEN       500

#define SP_ACCEPT          5
#define SP_ACCESS1          40
#define SP_BIND            3
#define SP_SOCKCLOSE       17
#define SP_SOCKOPEN        18
#define SP_FCNTL1           41
#define SP_STAT1            42
#define SP_INETADDR        43
#define SP_CONNECT         2
#define SP_GETHOSTBYNAME   19
#define SP_GETHOSTBYADDR   20
#define SP_SETHOSTENT      21
#define SP_ENDHOSTENT      22
#define SP_GETHOSTNAME     33
#define SP_SETHOSTNAME     34
#define SP_GETTIMEOFDAY    49
#define SP_GETNETBYNAME    24
#define SP_GETNETBYADDR    25
#define SP_SETNETENT       26
#define SP_ENDNETENT       27
#define SP_GETPEERNAME     35
#define SP_GETPROTOENT     28
#define SP_GETPROTOBYNAME  29
#define SP_GETPROTOBYNUM   30
#define SP_SETPROTOENT     31
#define SP_ENDPROTOENT     32
#define SP_GETSOCKNAME     36
#define SP_GETSOCKOPT      14
#define SP_SETSOCKOPT      15
#define SP_GETUID1          44
#define SP_GETPWNAM        45
#define SP_GETPWUID        46
#define SP_IOCTL           13
#define SP_LISTEN          4
#define SP_SOCKREAD        10
#define SP_SOCKREADV       48
#define SP_READSEGSTART    50
#define SP_READSEGMORE     51
#define SP_RECVIT          7
#define SP_RECVITSEGSTART  53
#define SP_RECVITSEGMORE   54
#define SP_SELECT          12
#define SP_SENDIT          9
#define SP_SENDITSEGSTART  56
#define SP_SENDITSEGMORE   57
#define SP_SHUTDOWN        16
#define SP_SOCKET          1
#define SP_SOCKWRITE       11
#define SP_SOCKWRITEV      47
#define SP_WRITESEGSTART   59
#define SP_WRITESEGMORE    60
#define SP_SOCKSEEK	   72
#if 0
#define SP_OPENDIR	   73
#define SP_READDIR	   74
#define SP_CLOSEDIR	   75
#define SP_GETEUID         76
#define SP_GETCWD          77
#define SP_GETENVIRON      78
#endif
